# Uses of Class
it.tdlight.jni.TdApi.TargetChat

## Uses of TdApi.TargetChat in it.tdlight.jni

Subclasses of TdApi.TargetChat in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.TargetChatChosen`
The chat needs to be chosen by the user among chats of the specified types.
`static final class`
`TdApi.TargetChatCurrent`
The currently opened chat needs to be kept.
`static final class`
`TdApi.TargetChatInternalLink`
The chat needs to be open with the provided internal link.
Fields in it.tdlight.jni declared as TdApi.TargetChat
Modifier and Type
Field
Description
`TdApi.TargetChat`
TdApi.InlineKeyboardButtonTypeSwitchInline.`targetChat`
Target chat from which to send the inline query.
`TdApi.TargetChat`
TdApi.InternalLinkTypeAttachmentMenuBot.`targetChat`
Target chat to be opened.
Constructors in it.tdlight.jni with parameters of type TdApi.TargetChat
Modifier
Constructor
Description
``
`InlineKeyboardButtonTypeSwitchInline(String query, TdApi.TargetChat targetChat)`
A button that forces an inline query to the bot to be inserted in the input field.
``
`InternalLinkTypeAttachmentMenuBot(TdApi.TargetChat targetChat, String botUsername, String url)`
The link is a link to an attachment menu bot to be opened in the specified or a chosen chat.